import java.util.*;

import java.sql.*;
import org.hibernate.*;
import org.hibernate.criterion.*;

public class Main {
	
	public static void main(String[] args) {
		HibernateUtil.setup("create table EVENTS ( uid int, name VARCHAR, start_Date date, duration int);");
		
		// hibernate code start

        EventDao eventDao = new EventDao();
        Event event = new Event();
        event.setName("Update an Event");
        eventDao.create(event);

        HibernateUtil.checkData("select uid, name from events");

        Event foundEvent = eventDao.find(event.getId());
        foundEvent.setName("New Name");
        eventDao.update(foundEvent);

        HibernateUtil.checkData("select uid, name from events");        

        
		// hibernate code end
	}
	
}